BadPaddingException

M4rtin
M4rtin
Since the last update of Java I receive a BadPaddingException as soon as I try to update my WC which requires a stored login to the server. Is this a fault on my side? Do you have similar reports and/or a solution? SmartSVN 8.6 Java 1.8.0.25 Windows 7

Last updated

orbrey
orbrey
This is the first and only report we've seen I'm afraid, does the error message have any more information at all? Also if you use the subversion command line do you still get the same error?
M4rtin
M4rtin
The more detailed message is: BadPaddingException: Given final block not properly padded It is quite serious as it will appear multiple times and screw other dialogs (you get following errors that a dialog is opened so another one cannot be opened and so on). I've solved it meanwhile y updating to v8.6.1 AND making use of the JRE that is deployed in the portable install. So unfortunately I cannot tell exactly what resolved the issue but its working again. I've seen though that the bundled JRE is quite old, so be careful once you release SmartSVN with a newer one. :-) Some side-effect is that you will loose all your stored logins as the PW manager will create a new file. Luckily a backup of the old "passwords" file was created with the extension ".corrupt" so I could restore them as well. Maybe thats another hint. If you search for the error you get tons of solutions that seem not to be JRE but implementation specific. Maybe encryption algorithms are taken more seriously in Java since the last update. In one of the "solutions" on the internet you'll find: "You need to use a SecretKeyFactory not a KeyGenerator. And you will of course need the 8-byte key data. The only way to retrieve this in your case is to find the SecureRandom algorithm/implementation before and re-calculate the key." Maybe that rings a bell...

1-3 of 3

Reply to this discussion

You cannot edit posts or make replies: You should be logged in before you can post.

Post a reply
5069 views